Encryption Protectors - List By Server

서버 암호화 보호기 목록을 가져옵니다.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/encryptionProtector?api-version=2025-01-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

serverName
path True

string

서버의 이름입니다.

subscriptionId
path True

string (uuid)

대상 구독의 ID입니다. 값은 UUID여야 합니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

응답

Name 형식 Description
200 OK

EncryptionProtectorListResult

Azure 운영이 성공적으로 완료되었습니다.

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 Flow.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

List encryption protectors by server

샘플 요청

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector?api-version=2025-01-01

샘플 응답

{
  "value": [
    {
      "name": "current",
      "type": "Microsoft.Sql/servers/encryptionProtector",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current",
      "kind": "azurekeyvault",
      "location": "Japan East",
      "properties": {
        "serverKeyName": "someVault_someKey_01234567890123456789012345678901",
        "serverKeyType": "AzureKeyVault",
        "uri": "https://someVault.vault.azure.net/keys/someKey/01234567890123456789012345678901"
      }
    }
  ]
}

정의

Name Description
createdByType

리소스를 만든 ID의 형식입니다.

EncryptionProtector

서버 암호화 보호기입니다.

EncryptionProtectorListResult

EncryptionProtector 리스트 작업의 응답입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

ServerKeyType

'ServiceManaged', 'AzureKeyVault'와 같은 암호화 보호기 유형입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

EncryptionProtector

서버 암호화 보호기입니다.

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

암호화 보호기의 종류입니다. 이 메타데이터는 Azure 포털 경험에 사용됩니다.

location

string

리소스 위치입니다.

name

string

리소스의 이름

properties.autoRotationEnabled

boolean

키 자동 회전 옵트인 플래그입니다. true 또는 false입니다.

properties.keyVersion

string

암호화 보호기로 사용되는 서버 키의 버전

properties.serverKeyName

string

서버 키의 이름입니다.

properties.serverKeyType

ServerKeyType

'ServiceManaged', 'AzureKeyVault'와 같은 암호화 보호기 유형입니다.

properties.subregion

string

암호화 보호기의 하위 리소스입니다.

properties.thumbprint

string

서버 키의 지문입니다.

properties.uri

string

서버 키의 URI입니다.

systemData

systemData

Azure Resource Manager 메타데이터에 createdBy 및 modifiedBy 정보가 포함되어 있습니다.

type

string

리소스의 형식입니다. 예를 들어, "Microsoft. 컴퓨트/가상 머신" 또는 "Microsoft." 저장소/저장소 계정"

EncryptionProtectorListResult

EncryptionProtector 리스트 작업의 응답입니다.

Name 형식 Description
nextLink

string (uri)

항목의 다음 페이지에 대한 링크

value

EncryptionProtector[]

이 페이지의 EncryptionProtector 항목들

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

ServerKeyType

'ServiceManaged', 'AzureKeyVault'와 같은 암호화 보호기 유형입니다.

Description
ServiceManaged

ServiceManaged

AzureKeyVault

AzureKeyVault

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.